%define LANG	ko

Summary: Korean(Hangul) Man(manual) Pages from the Korean Manpage Project.
Name: man-pages-%{LANG}
Version: 20010901
Release: 6
License: GPL
Group: Documentation
Vendor: Karean Manpage Project Team.
URL: http://man.kldp.org/
Requires: man, gzip
Source0: man-pages-%{LANG}-%{version}.tar.gz
#Source1: man-pages-%{LANG}-%{version}-html.tar.gz
Buildroot: /var/tmp/%{name}-root
Autoreqprov: false
BuildArchitectures: noarch

%description
Korean translation of the official manpages from LDP and
another useful manpages from various packages. It's done
by the Korean Manpage Project <http://man.kldp.org> which
is maintained by Korean Manpage Project Team.

%prep
rm -rf ${RPM_BUILD_ROOT}

%setup -c %{name}-%{version}

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man/ko
mkdir -p $RPM_BUILD_ROOT/var/cache/man/ko
for n in 1 2 3 4 5 6 7 8 9 n ; do
	mkdir $RPM_BUILD_ROOT%{_mandir}/man/ko/man$n
	mkdir $RPM_BUILD_ROOT/var/cache/man/ko/cat$n
done
for n in man?/*; do
	cp -a $n $RPM_BUILD_ROOT%{_mandir}/man/ko/$n
done

rm -f $RPM_BUILD_ROOT%{_mandir}/man/ko/man1/ftpcount.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man/ko/man1/ftpwho.1*
rm -f $RPM_BUILD_ROOT%{_mandir}/man/ko/man8/ftpshut.8*
rm -f $RPM_BUILD_ROOT%{_mandir}/man/ko/man8/proftpd.8*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644, root, man, 2755)
%{_mandir}/man/ko
/var/cache/man/ko

%changelog
* Mon Aug 12 2002 Bill Nottingham <notting@redhat.com>
- fix group

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Feb  1 2002 Bill Nottingham <notting@redhat.com>
- remove %post/%preun; they cause errors
- s/%%{prefix}/%%{_mandir}/g

* Thu Jan 31 2002 David Joo <davidjoo@redhat.com>
- Rebuilt against RHL 8.0

* Sun Jun 3 2001 Bae, Sunghoon <plodder@kldp.org>
- removed ftpcount, ftpwho, ftpshut, proftpd man pages
  because proftpd has it 
- changed man cache directory to /var/cache/man

* Tue May 23 2000 KIM KyungHeon <tody@teoal.sarang.net>
- changed name of spec file
- added some contents of spec (for relocatable)
- modified korean description
- fixed using 'makewhatis' command
- fixed expression in %files tag

* Sun Apr  23 2000 Bae, Sunghoon <plodder@kldp.org>
- modify .spec

* Sat Apr  22 2000 Chongkyoon, Rim <hermes44@secsm.org>
- modify .spec

* Tue Apr  4 2000 Bae, Sunghoon <plodder@kldp.org>
- First Release

